LIBIDL-CONFIG-2(1)

NAME
libIDL-config-2 - helper script for building with libIDL-2

SYNOPSIS

libIDL-config-2 [ --libs ] [ --cflags ] [ --prefix=dir ] [ --exec-prefix=dir ]

libIDL-config-2 [ --version ] [ --help ]

DESCRIPTION
libIDL-config-2 is a tool that is used to determine the compiler and linker flags that should be used to compile and link programs that use the libIDL-2 library. This script seems to be semi-obsolete, and may not work correctly on non-Debian systems; you should probably use "pkg-config libIDL-2.0" instead.

In most cases, you will use one (or both) of the options --cflags or --libs (depending on whether you are compiling or linking.

OPTIONS
libIDL-config-2 accepts the following options:

--version
    Print the currently installed version of library on the standard output.

--help
    Print a usage summary.

--libs
    Print the linker flags that are necessary to link with the specified library.

--cflags
    Print the compiler flags that are necessary to compile a program using the specified library.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that library was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that library was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

SEE ALSO
/usr/share/doc/libidl, info libIDL

AUTHOR
Copyright © 2001 Andrew T. Veliath <andrewtv@usa.net>

This manual was originally written for libIDL-config-2 by Chris Waters for Debian GNU/Linux.